View Issue Details

IDProjectCategoryView StatusLast Update
0021875mantisbtemailpublic2016-11-27 00:45
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021875: Include note attachments information in issue note added notification
Description

The email notification for issue notes should include information about files attached with the note.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master-1.3.x b1c063b3

2016-11-07 01:37:47

vboctor

Details Diff
Re-implement issue note notifications

Email notifications for notes shouldn't include full issue information
Fixes 0021876

Mentioned users in a new note shouldn't receive double notifications
Fixes 0021877

Include note attachments information in issue note added notification
Fixes 0021875

Explicitly pass issue note id to email notifications rather than getting latest note id
Fixes 0021879

Improve issue note caching
Fixes 0021878
mod - bugnote_add.php Diff File
mod - core/bugnote_api.php Diff File
mod - core/email_api.php Diff File
mod - core/file_api.php Diff File
mod - core/mention_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2016-11-07 01:11 vboctor New Issue
2016-11-07 01:11 vboctor Status new => assigned
2016-11-07 01:11 vboctor Assigned To => vboctor
2016-11-07 01:15 vboctor Severity minor => feature
2016-11-07 01:15 vboctor Reproducibility have not tried => N/A
2016-11-07 01:53 vboctor Note Added: 0054453
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b1c063b3
2016-11-13 18:13 vboctor Status assigned => resolved
2016-11-13 18:13 vboctor Resolution open => fixed
2016-11-13 18:13 vboctor Fixed in Version => 1.3.4
2016-11-27 00:45 vboctor Status resolved => closed